// 导入axios实例
import service from "@/utils/request";

export function initLedger(data: object) {
  return service({
    url: "/largescreen/initLedger",
    method: "post",
    data,
  });
}

// 台账规模统计
export function ledgercount(data: object) {
  return service({
    url: "/largescreen/ledgercount",
    method: "post",
    data,
  });
}
// 告警统计分析
export function alarmAnalysis(data: object) {
  return service({
    url: "/largescreen/alarmAnalysis",
    method: "post",
    data,
  });
}

// 查询告警统计分析
export function alarmAnalysisDetail(data: object) {
  return service({
    url: "/largescreen/alarmAnalysisDetail",
    method: "post",
    data,
  });
}
// 暂降事件趋势/远程通知趋势
export function eventTrend(data: object) {
  return service({
    url: "/largescreen/eventTrend",
    method: "post",
    data,
  });
}
// 获取历史暂降事件趋势
export function noDealEventList(data: object) {
  return service({
    url: "/largescreen/noDealEventList",
    method: "post",
    data,
  });
}
// 处理暂降事件
export function lookEvent(data: object) {
  return service({
    url: "/largescreen/lookEvent",
    method: "post",
    data,
  });
}
// 暂降事件列表
export function eventList(data: object) {
  return service({
    url: "/largescreen/eventList",
    method: "post",
    data,
  });
}
// 远程通知列表
export function msgSendList(data: object) {
  return service({
    url: "/largescreen/msgSendList",
    method: "post",
    data,
  });
}
// 暂降事件列表详情按钮
export function eventMsgDetail(params: object) {
  return service({
    url: "/largescreen/eventMsgDetail",
    method: "get",
    params,
  });
}
// 短信处理
export function msgHandle(data: object) {
  return service({
    url: "/largescreen/msgHandle",
    method: "post",
    data,
  });
}
// 地图统计数量
export function mapCount(data: object) {
  return service({
    url: "/largescreen/mapCount",
    method: "post",
    data,
  });
}
// 已发送短信列表
export function hasSendMsgPage(data: object) {
  return service({
    url: "/largescreen/hasSendMsgPage",
    method: "post",
    data,
  });
}
// 暂降平台配置
export function eventConfig(data: object) {
  return service({
    url: "/config/eventConfig",
    method: "post",
    data,
  });
}
// 查询配置
export function queryConfig() {
  return service({
    url: "/config/queryConfig",
    method: "get",
  });
}
// 模拟短信发送
export function simulationSend(data: any) {
  return service({
    url: "/accept/simulationSend",
    method: "post",
    data,
  });
}
// 趋势图
export function getTransientAnalyseWave(data: object) {
  return service({
    url: "/accept/getTransientAnalyseWave",
    method: "post",
    data,
  });
}

// 电能质量监测终端运行状态
export function devFlagCount(data: object) {
  return service({
    url: "/largescreen/devFlagCount",
    method: "post",
    data,
  });
}
// 电能质量监测终端运行状态详情
export function devicePage(data: object) {
  return service({
    url: "/largescreen/devicePage",
    method: "post",
    data,
  });
}
// 各区域终端运行状态
export function regionDevCount(data: object) {
  return service({
    url: "/largescreen/regionDevCount",
    method: "post",
    data,
  });
}
export function rightEventOpenForDetail(data: object) {
  return service({
    url: "/right/rightEventOpenForDetail",
    method: "post",
    data,
  });
}
// 供电区域下拉
export function gdSelect() {
  return service({
    url: "/right/gdSelect",
    method: "get",
  });
}

// 供电区域下拉
export function bdSelect() {
  return service({
    url: "/right/bdSelect",
    method: "get",
  });
}

// 地图查询
export function substationCount(data: object) {
  return service({
    url: "/largescreen/substationCount",
    method: "post",
    data,
  });
}
// 暂降事件列表
export function eventPage(data: object) {
  return service({
    url: "/largescreen/eventPage",
    method: "post",
    data,
  });
}
// 导出暂降事件列表
export function eventPageExport(data: object) {
  return service({
    url: "largescreen/eventPageExport",
    method: "post",
    data,
  });
}
// 电压暂降告警统计
export function rightImportUser(data: object) {
  return service({
    url: "/right/rightImportUser",
    method: "post",
    data,
  });
}
// 电压暂降告警统计
export function rightEvent(data: object) {
  return service({
    url: "/right/rightEvent",
    method: "post",
    data,
  });
}
// 电压暂降告警统计弹框
export function rightEventOpen(data: object) {
  return service({
    url: "/right/rightEventOpen",
    method: "post",
    data,
  });
}

export function rightEventOpenClone(data: object) {
  return service({
    url: "/right/rightEventOpenClone",
    method: "post",
    data,
  });
}
// 重要敏感用户暂降告警统计
export function userEventList(data: object) {
  return service({
    url: "/largescreen/userEventList",
    method: "post",
    data,
  });
}

export function rightImportOpenDetail(data: object) {
  return service({
    url: "/right/rightImportOpenDetail",
    method: "post",
    data,
  });
}

// 对象类型
export function getDicTree(data: object) {
  return service({
    url: "/dicTree/getDicTree",
    method: "get",
    params: data,
  });
}
// 终端弹框

export function rightEventDevOpen(data: object) {
  return service({
    url: "/right/rightEventDevOpen",
    method: "post",
    data,
  });
}

// 部门集合
export function getDept(data: object) {
  return service({
    url: "/report/getDept",
    method: "post",
    data,
  });
}

// 报表导出
export function exportForms(data: object) {
  return service({
    url: "/report/get",
    method: "post",
    data,
    responseType: "blob",
  });
}
// 报表导出
export function exportLineData() {
  return service({
    url: "/largescreen/exportLineData",
    method: "post",

    responseType: "blob",
  });
}
